package cz.moneta.test.dsl.ufo.banka.pages.main.client.settings;

import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.HPO009_S001_DebitCardDetailPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S002_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.insurance.BAL001_S008_ProductsListPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.BAL001_S008_SummaryStartDocumentsPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.HKO101_S001_MainClientPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.TIS051_OBR001_ContractDocumentationPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.adc.HPO008_S001_OnlineChannelsPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface TIS051_S001_DispositionGeneratePageTransitions extends WebFlow<TIS051_S001_DispositionGeneratePageTransitions> {
    TIS051_OBR001_ContractDocumentationPage onContractDocumentationPage();

    BAL001_S008_SummaryStartDocumentsPage onSummaryStartDocumentsPage();

    BAL001_S008_ProductsListPage onProductsListPage();

    HKO101_S001_MainClientPage onMainClientPage();

    HPO009_S001_DebitCardDetailPage onDebitCardDetailPage();

    HPO008_S001_OnlineChannelsPage onOnlineChannelsPage();

    PSP004_S001_PrintPage onPrintPage();

    TIS050_S002_SignerSelectionPage onSignerSelectionPage();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    TIS050_S001_SignerSelectionPage onRetailSignerSelectionPage();
}
